/*
 * Copyright  2012-2015 Graham Sellers
 *
 * This code is part of the OpenGL SuperBible, 6th Edition.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the next
 * paragraph) shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 */

#ifndef __SB7COLOR_H__
#define __SB7COLOR_H__

#include <vmath.h>

namespace sb7
{

struct color
{
    static const vmath::vec4 AliceBlue;
    static const vmath::vec4 AntiqueWhite;
    static const vmath::vec4 Aqua;
    static const vmath::vec4 Aquamarine;
    static const vmath::vec4 Azure;
    static const vmath::vec4 Beige;
    static const vmath::vec4 Bisque;
    static const vmath::vec4 Black;
    static const vmath::vec4 BlanchedAlmond;
    static const vmath::vec4 Blue;
    static const vmath::vec4 BlueViolet;
    static const vmath::vec4 Brown;
    static const vmath::vec4 BurlyWood;
    static const vmath::vec4 CadetBlue;
    static const vmath::vec4 Chartreuse;
    static const vmath::vec4 Chocolate;
    static const vmath::vec4 Coral;
    static const vmath::vec4 CornflowerBlue;
    static const vmath::vec4 Cornsilk;
    static const vmath::vec4 Crimson;
    static const vmath::vec4 Cyan;
    static const vmath::vec4 DarkBlue;
    static const vmath::vec4 DarkCyan;
    static const vmath::vec4 DarkGoldenRod;
    static const vmath::vec4 DarkGray;
    static const vmath::vec4 DarkGreen;
    static const vmath::vec4 DarkKhaki;
    static const vmath::vec4 DarkMagenta;
    static const vmath::vec4 DarkOliveGreen;
    static const vmath::vec4 DarkOrange;
    static const vmath::vec4 DarkOrchid;
    static const vmath::vec4 DarkRed;
    static const vmath::vec4 DarkSalmon;
    static const vmath::vec4 DarkSeaGreen;
    static const vmath::vec4 DarkSlateBlue;
    static const vmath::vec4 DarkSlateGray;
    static const vmath::vec4 DarkTurquoise;
    static const vmath::vec4 DarkViolet;
    static const vmath::vec4 DeepPink;
    static const vmath::vec4 DeepSkyBlue;
    static const vmath::vec4 DimGray;
    static const vmath::vec4 DodgerBlue;
    static const vmath::vec4 FireBrick;
    static const vmath::vec4 FloralWhite;
    static const vmath::vec4 ForestGreen;
    static const vmath::vec4 Fuchsia;
    static const vmath::vec4 Gainsboro;
    static const vmath::vec4 GhostWhite;
    static const vmath::vec4 Gold;
    static const vmath::vec4 GoldenRod;
    static const vmath::vec4 Gray;
    static const vmath::vec4 Green;
    static const vmath::vec4 GreenYellow;
    static const vmath::vec4 HoneyDew;
    static const vmath::vec4 HotPink;
    static const vmath::vec4 IndianRed;
    static const vmath::vec4 Indigo;
    static const vmath::vec4 Ivory;
    static const vmath::vec4 Khaki;
    static const vmath::vec4 Lavender;
    static const vmath::vec4 LavenderBlush;
    static const vmath::vec4 LawnGreen;
    static const vmath::vec4 LemonChiffon;
    static const vmath::vec4 LightBlue;
    static const vmath::vec4 LightCoral;
    static const vmath::vec4 LightCyan;
    static const vmath::vec4 LightGoldenRodYellow;
    static const vmath::vec4 LightGray;
    static const vmath::vec4 LightGreen;
    static const vmath::vec4 LightPink;
    static const vmath::vec4 LightSalmon;
    static const vmath::vec4 LightSeaGreen;
    static const vmath::vec4 LightSkyBlue;
    static const vmath::vec4 LightSlateGray;
    static const vmath::vec4 LightSteelBlue;
    static const vmath::vec4 LightYellow;
    static const vmath::vec4 Lime;
    static const vmath::vec4 LimeGreen;
    static const vmath::vec4 Linen;
    static const vmath::vec4 Magenta;
    static const vmath::vec4 Maroon;
    static const vmath::vec4 MediumAquaMarine;
    static const vmath::vec4 MediumBlue;
    static const vmath::vec4 MediumOrchid;
    static const vmath::vec4 MediumPurple;
    static const vmath::vec4 MediumSeaGreen;
    static const vmath::vec4 MediumSlateBlue;
    static const vmath::vec4 MediumSpringGreen;
    static const vmath::vec4 MediumTurquoise;
    static const vmath::vec4 MediumVioletRed;
    static const vmath::vec4 MidnightBlue;
    static const vmath::vec4 MintCream;
    static const vmath::vec4 MistyRose;
    static const vmath::vec4 Moccasin;
    static const vmath::vec4 NavajoWhite;
    static const vmath::vec4 Navy;
    static const vmath::vec4 OldLace;
    static const vmath::vec4 Olive;
    static const vmath::vec4 OliveDrab;
    static const vmath::vec4 Orange;
    static const vmath::vec4 OrangeRed;
    static const vmath::vec4 Orchid;
    static const vmath::vec4 PaleGoldenRod;
    static const vmath::vec4 PaleGreen;
    static const vmath::vec4 PaleTurquoise;
    static const vmath::vec4 PaleVioletRed;
    static const vmath::vec4 PapayaWhip;
    static const vmath::vec4 PeachPuff;
    static const vmath::vec4 Peru;
    static const vmath::vec4 Pink;
    static const vmath::vec4 Plum;
    static const vmath::vec4 PowderBlue;
    static const vmath::vec4 Purple;
    static const vmath::vec4 RebeccaPurple;
    static const vmath::vec4 Red;
    static const vmath::vec4 RosyBrown;
    static const vmath::vec4 RoyalBlue;
    static const vmath::vec4 SaddleBrown;
    static const vmath::vec4 Salmon;
    static const vmath::vec4 SandyBrown;
    static const vmath::vec4 SeaGreen;
    static const vmath::vec4 SeaShell;
    static const vmath::vec4 Sienna;
    static const vmath::vec4 Silver;
    static const vmath::vec4 SkyBlue;
    static const vmath::vec4 SlateBlue;
    static const vmath::vec4 SlateGray;
    static const vmath::vec4 Snow;
    static const vmath::vec4 SpringGreen;
    static const vmath::vec4 SteelBlue;
    static const vmath::vec4 Tan;
    static const vmath::vec4 Teal;
    static const vmath::vec4 Thistle;
    static const vmath::vec4 Tomato;
    static const vmath::vec4 Turquoise;
    static const vmath::vec4 Violet;
    static const vmath::vec4 Wheat;
    static const vmath::vec4 White;
    static const vmath::vec4 WhiteSmoke;
    static const vmath::vec4 Yellow;
    static const vmath::vec4 YellowGreen;
};

}

#endif // __SB7COLOR_H__
